% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/mr.R
\name{mr_ivw_mre}
\alias{mr_ivw_mre}
\title{Inverse variance weighted regression (multiplicative random effects model)}
\usage{
mr_ivw_mre(b_exp, b_out, se_exp, se_out, parameters = default_parameters())
}
\arguments{
\item{b_exp}{Vector of genetic effects on exposure.}

\item{b_out}{Vector of genetic effects on outcome.}

\item{se_exp}{Standard errors of genetic effects on exposure.}

\item{se_out}{Standard errors of genetic effects on outcome.}

\item{parameters}{List of parameters.}
}
\value{
List with the following elements:
\describe{
\item{b}{MR estimate}
\item{se}{Standard error}
\item{pval}{p-value}
\item{Q, Q_df, Q_pval}{Heterogeneity stats}
}
}
\description{
Same as \code{\link[=mr_ivw]{mr_ivw()}} but no correction for under dispersion.
}
